RubyGems.org

e9_polls

1.0.10

** NOTE - This gem depends on e9_base, but does not reference it. It WILL NOT FUNCTION for apps which aren't built on the e9 Rails 3 CMS **

E9Polls

Provites a Poll renderable for the e9 Rails 3 CMS.

Installation

  1. Include the gem and run the install generator to copy over the necessary files, then migrate.

    rails g e9_polls:install

    This will install the db migration, the JS and CSS required for the plugin to function properly, and an initializer.

    Modify the CSS as you see fit and the JS as required (carefully).

    Check out the initializer and modify if necessary. For non-Ajax fallbacks it uses the 'application' layout. This should be changed if the app doesn't use application layout as a sensible default.

  2. Migrate the database.

    rake db:migrate
  3. Finally, include the generated javascript and css (e9_polls.js and e9_polls.css) in the fashion suited to the app.

  4. There is no #4.

installgem install e9_polls
Authors

Travis Cox

11,773 total downloads 605 for this version
Owners

49078cf086b1b446309660480138e504

Gemfile
gem 'e9_polls', '~> 1.0.10'
Versions
  1. 1.0.10 August 19, 2013 (13.5 KB)
  2. 1.0.9 October 14, 2011 (13 KB)
  3. 1.0.8 August 8, 2011 (13 KB)
  4. 1.0.7 July 29, 2011 (13 KB)
  5. 1.0.6 July 28, 2011 (13 KB)
Show all versions (10 total)